Bug 507621 - Review Request: pypoppler - Python bindings for the Poppler PDF rendering library
Review Request: pypoppler - Python bindings for the Poppler PDF rendering lib...
Status: CLOSED DUPLICATE of bug 510962
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 497656 509484
  Show dependency treegraph
 
Reported: 2009-06-23 10:12 EDT by Hicham HAOUARI
Modified: 2009-07-13 14:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 14:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hicham HAOUARI 2009-06-23 10:12:37 EDT
Spec URL: http://rapidshare.com/files/247749721/pypoppler.spec.html
SRPM URL: http://rapidshare.com/files/247750206/pypoppler-0.10.0-1.fc11.src.rpm.html
Description: Python bindings for the Poppler PDF rendering library. It is needed to run programs written in Python and using Poppler set.
Comment 1 Hicham HAOUARI 2009-06-23 10:25:50 EDT
gedit-latex-plugin-0.2rc2-1 : New upstream rc version

this package depends on pypoppler package

Spec URL : http://rapidshare.com/files/247752065/gedit-latex-plugin.spec.html
SRPM URL : http://rapidshare.com/files/247754470/gedit-latex-plugin-0.2rc2-1.fc11.src.rpm.html

This new version have a nice preview pane for produced pdfs, which accelerate latex writing speed considerably
Comment 2 Jason Tibbitts 2009-07-01 17:00:27 EDT
Is this your first package for Fedora?  I don't see any account under your name in the account system, and I'd guess you aren't in the packager group because instead of fedoraproject.org space you're using rapidshare links which make it rather difficult to even take a look at your package.
Comment 3 Hicham HAOUARI 2009-07-02 09:30:26 EDT
Yes, it is right, I am not in the packager group, the procedure is just too long. I thought that my contributions are welcome, but anyway, I am setting up my own repo for people who want to test my packages.

And thanks for your gentle reply.
Comment 5 leigh scott 2009-07-02 13:05:23 EDT
You will need to remove the .la file 

https://fedoraproject.org/wiki/Packaging/Guidelines#Packaging_Static_Libraries



Also %{_libdir}/python2.6/site-packages is wrong

https://fedoraproject.org/wiki/Packaging/Python#System_Architecture


Here's an example

http://leigh123linux.fedorapeople.org/pub/SPECS/pypoppler.spec



P.S I'm not going to review your package as you need a sponsor.
Comment 6 Hicham HAOUARI 2009-07-02 13:30:46 EDT
Ok, I updated the spec file
Comment 7 Juan Manuel Rodriguez 2009-07-02 22:16:10 EDT
Hi Hicham, 

One of the first things you should do to any specfile, is run rpmlint on it. 

rpmlint will show any errors or warnings there are on your Specfile, like mixed use of spaces and tabs. 

rpmlint said: 
pypoppler.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 20)

Also, what Leigh said about the Static Libraries is right. 
On %configure, use --disable-static

and on %install, remove the la file, using: 
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/*.la

I updated your specfile with these changes. 
http://proyectofedora.org/mexico/pypoppler.spec
Comment 8 Hicham HAOUARI 2009-07-02 22:37:03 EDT
Ok updated the spec file
Comment 9 Mamoru TASAKA 2009-07-03 11:10:37 EDT
Please post the full URLs of your spec/srpm files every
time you modified them. Also please make it sure that
you change the release number of the spec file to avoid
confusion.
Comment 11 Mamoru TASAKA 2009-07-13 03:04:27 EDT
*** Bug 510962 has been marked as a duplicate of this bug. ***
Comment 12 Fabian Affolter 2009-07-13 08:09:56 EDT
In Bug #510962 I made this package under the name of python-poppler and Jason reviewed and approved it.  But after that I renamed the package to pypoppler as Jason suggested and we run into this duplication.

Hicham, do you still want to go on with this package?
Comment 13 Hicham HAOUARI 2009-07-13 10:39:09 EDT
Hi Fabian,

No problem if u want to maintain it, what is important is that it must be in Fedora. I introduced it because I needed it to use the latest gedit-latex-plugin which displays a nice preview pane that requires pypoppler.

So my final answer is : if you want to take it, go ahead.
Comment 14 Fabian Affolter 2009-07-13 14:34:54 EDT
pypoppler is needed for pdfshuffler as well that was the reason because I made the spec file in April. 

Ok, I will reopen my review request and close this one.
Comment 15 Fabian Affolter 2009-07-13 14:35:35 EDT

*** This bug has been marked as a duplicate of bug 510962 ***

Note You need to log in before you can comment on or make changes to this bug.